emacs-elpa-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[nongnu] elpa/rust-mode ee171df 172/486: test $EMACS directly rather tha


From: ELPA Syncer
Subject: [nongnu] elpa/rust-mode ee171df 172/486: test $EMACS directly rather than using "which"
Date: Sat, 7 Aug 2021 09:25:12 -0400 (EDT)

branch: elpa/rust-mode
commit ee171df9bacca952d2cda891fad7590ace4b763e
Author: Tom Tromey <tom@tromey.com>
Commit: Tom Tromey <tom@tromey.com>

    test $EMACS directly rather than using "which"
    
    Fixes #33
---
 run_rust_emacs_tests.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/run_rust_emacs_tests.sh b/run_rust_emacs_tests.sh
index c9c2e40..c065c9e 100755
--- a/run_rust_emacs_tests.sh
+++ b/run_rust_emacs_tests.sh
@@ -14,19 +14,21 @@
 
 if [ -z "$EMACS" ]; then
     EMACS=emacs
-elif [ ! $(which "$EMACS") ]; then
+fi
+
+$EMACS --batch || {
    echo "You must set EMACS to a program that runs emacs."
    exit 1
-fi
+}
 
-$( "$EMACS" -batch > /dev/null 2>&1 ) || {
+$( $EMACS -batch > /dev/null 2>&1 ) || {
     echo "Your emacs command ($EMACS) does not run properly."
     exit 2
 };
 
-$( "$EMACS" -batch --eval "(require 'ert)" > /dev/null 2>&1 ) || {
+$( $EMACS -batch --eval "(require 'ert)" > /dev/null 2>&1 ) || {
     echo 'You must install the `ert` dependency; see README.md'
     exit 3
 };
 
-"$EMACS" -batch -l rust-mode.el -l rust-mode-tests.el -f 
ert-run-tests-batch-and-exit
+$EMACS -batch -l rust-mode.el -l rust-mode-tests.el -f 
ert-run-tests-batch-and-exit



reply via email to

[Prev in Thread] Current Thread [Next in Thread]